public class ch4all {
  ch4all() {
    System.out.println("ch4all()");
  }
  ch4all(String s) {
    this();
    System.out.println(s);
  }
  public static void main(String args[]) {
    new ch4all();
    new ch4all("Howdy");
    ch4all a[] = {
      new ch4all(),
      new ch4all("Howdy1"),
      new ch4all(),
      new ch4all("Howdy2")
    };
  }
}
